Subject: Ticket Assigned - Parcel not received
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 07 Apr 2021 03:51:04 +0000

Hi Mohammed Altahir,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Parcel not received I sadly write here that the complaint listening and solving by ur team is
below zero! More than pathetic! Its been 13 days and i have not received
my parcel yet. Every day i call on ur centres  for my parcel but you guys
putting it on tomorrows! What type of tomorrow is it??? Do u guys even feel
ashamed of ur service??? Someone may need the things urgently and its 13
days!!!!! What type of system Centrepoint is running that can not solve an
issue of parcel delivery?? Such a worse customer service i have ever seen
in middle east literally!!! Now may i know in which century of this world
will i get my parcel?
My order num is 7444987056.
Now if u guys have any kind of shame just deliver it to me or tell me some
branch of urs from where can i pick it up! Can never think of shopping from
centrepoint again! Worse worse worse

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2365374